jv.viewer

## Interface PvDisplayOverlayIf

- All Superinterfaces:
    java.util.EventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener
  All Known Implementing Classes:
    PuColorBarCanvas, PvScenegraph

      public interface PvDisplayOverlayIf
      extends java.awt.event.MouseListener, java.awt.event.MouseMotionListener

  Interface for canvas-type widgets to be displayed inside resp. overlaid on a JavaView display.
  Author:
    Konrad Polthier
  Version:
    10.03.15, 1.00 revised (kp)
    10.03.15, 1.00 created (kp)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Dimension` | `getPreferredSize()` Gets the preferred size of this component.
    `void` | `paintOverlay(java.awt.Graphics g, int xInset, int yInset, int width, int height)` Draw scenegraph as overlay in JavaView display.
    `void` | `setDisplay(PvDisplay comp)` Set flag if running as self-contained panel or as overlay of another container panel.
    `void` | `setPanelMode(int panelMode)` Set flag if running as self-contained panel or as overlay of another container panel.

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

- - ### Method Detail

    - #### setPanelMode

          void setPanelMode(int panelMode)

      Set flag if running as self-contained panel or as overlay of another container panel. Default is panel mode like, for example, in tree_view.

    - #### getPreferredSize

          java.awt.Dimension getPreferredSize()

      Gets the preferred size of this component.
      Returns:
        a dimension object indicating this component's preferred size

    - #### paintOverlay

          void paintOverlay(java.awt.Graphics g,
                            int xInset,
                            int yInset,
                            int width,
                            int height)

      Draw scenegraph as overlay in JavaView display.

    - #### setDisplay

          void setDisplay(PvDisplay comp)

      Set flag if running as self-contained panel or as overlay of another container panel. Default is panel mode like, for example, in tree_view.

"

The software JavaView? is copyright protected. All Rights Reserved.
"